<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.10.0" doxygen_gitid="7ce13052afa7170109d103045afe22631926b01e*">
  <compound kind="file">
    <name>simpleShape.h</name>
    <path>include/lsst/meas/extensions/</path>
    <filename>simple_shape_8h.html</filename>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeControl</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeResultKey</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShape</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeResult</class>
    <namespace>lsst::meas::extensions</namespace>
    <namespace>lsst::meas::extensions::simpleShape</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/</path>
    <filename>____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/</path>
    <filename>meas_2____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/extensions/</path>
    <filename>meas_2extensions_2____init_____8py.html</filename>
    <namespace>lsst::meas::extensions</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/extensions/simpleShape/</path>
    <filename>meas_2extensions_2simple_shape_2____init_____8py.html</filename>
    <namespace>lsst::meas::extensions</namespace>
    <namespace>lsst::meas::extensions::simpleShape</namespace>
  </compound>
  <compound kind="file">
    <name>version.py</name>
    <path>python/lsst/meas/extensions/simpleShape/</path>
    <filename>version_8py.html</filename>
    <namespace>lsst::meas::extensions</namespace>
    <namespace>lsst::meas::extensions::simpleShape</namespace>
    <namespace>lsst::meas::extensions::simpleShape::version</namespace>
  </compound>
  <compound kind="file">
    <name>simpleShape.cc</name>
    <path>src/</path>
    <filename>simple_shape_8cc.html</filename>
    <includes id="simple_shape_8h" name="simpleShape.h" local="yes" import="no" module="no" objc="no">lsst/meas/extensions/simpleShape.h</includes>
    <namespace>lsst::meas::extensions</namespace>
    <namespace>lsst::meas::extensions::simpleShape</namespace>
    <member kind="define">
      <type>#define</type>
      <name>INSTANTIATE_IMAGE</name>
      <anchorfile>simple_shape_8cc.html</anchorfile>
      <anchor>ac5eb23c520af0623f4fcf9a34edd055a</anchor>
      <arglist>(IMAGE)</arglist>
    </member>
    <member kind="variable">
      <type>VectorQ</type>
      <name>moments</name>
      <anchorfile>simple_shape_8cc.html</anchorfile>
      <anchor>aed3a9d1ffa6e48e480f028f846e5886f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>MatrixQ</type>
      <name>covariance</name>
      <anchorfile>simple_shape_8cc.html</anchorfile>
      <anchor>ac675835267ac815450fda5356dc8fe33</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::extensions::simpleShape::SimpleShape</name>
    <filename>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</filename>
    <base>lsst::meas::base::SimpleAlgorithm</base>
    <member kind="typedef">
      <type>SimpleShapeControl</type>
      <name>Control</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aa7b77a0e8f581dea7d2710ad3b4d3a02</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimpleShape</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>a0f43acb280e6deaf46849e741c8e9f16</anchor>
      <arglist>(Control const &amp;ctrl, std::string const &amp;name, afw::table::Schema &amp;schema)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>measure</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aeb1e213899f8b80a71c6101e06421b33</anchor>
      <arglist>(afw::table::SourceRecord &amp;measRecord, afw::image::Exposure&lt; float &gt; const &amp;exposure) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fail</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>a598d0344f14dfb1a3cde9de3eed17990</anchor>
      <arglist>(afw::table::SourceRecord &amp;measRecord, lsst::meas::base::MeasurementError *error=NULL) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static base::FlagDefinitionList const &amp;</type>
      <name>getFlagDefinitions</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aa8b7f9f8e120891cc72eb7eb7720e1b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static SimpleShapeResult</type>
      <name>computeMoments</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>a2e47dd0b6babb6882d7ceb928c58c933</anchor>
      <arglist>(afw::geom::ellipses::Ellipse const &amp;weight, afw::image::MaskedImage&lt; T &gt; const &amp;image, double nSigmaRegion=3.0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Eigen::Matrix&lt; double, 5, 6 &gt;</type>
      <name>convertRawMoments</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aca693a6f2e8281018da8dac8736fcab2</anchor>
      <arglist>(Eigen::Matrix&lt; double, 6, 1 &gt; const &amp;q, afw::geom::ellipses::Quadrupole &amp;quadrupole, geom::Point2D &amp;center)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Eigen::Matrix&lt; double, 5, 5 &gt;</type>
      <name>correctWeightedMoments</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>a29d83e15fd279e18b307e53d0a768757</anchor>
      <arglist>(afw::geom::ellipses::Quadrupole const &amp;weight, afw::geom::ellipses::Quadrupole &amp;ellipse, geom::Point2D &amp;center)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned int const</type>
      <name>N_FLAGS</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aa6c4a709a31ff1640aab08d6745eb187</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static base::FlagDefinition const</type>
      <name>FAILURE</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape.html</anchorfile>
      <anchor>aac462c2310412ecc92d328ed9ef5fbc7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::extensions::simpleShape::SimpleShapeControl</name>
    <filename>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_control.html</filename>
    <member kind="function">
      <type></type>
      <name>SimpleShapeControl</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_control.html</anchorfile>
      <anchor>a61d0e10b8e360a41953e5fc2066c027e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>sigma</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_control.html</anchorfile>
      <anchor>a55e8292d99b57d9472486768e4839e2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>nSigmaRegion</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_control.html</anchorfile>
      <anchor>a896e71a788aee27f70c068cfcd65e382</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::extensions::simpleShape::SimpleShapeResult</name>
    <filename>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>getFlag</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>aa3c7845d9a7c3a01ced82150782dc380</anchor>
      <arglist>(int index) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimpleShapeResult</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>a77b5ecc41e86f90aac767dfb2e1c2a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>afw::geom::ellipses::Quadrupole</type>
      <name>ellipse</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>af126114a9f576034b4f0c8e9a35c88b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>geom::Point2D</type>
      <name>center</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>a102638b7e4a8a03c05f66efb609300da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Eigen::Matrix&lt; double, 5, 5 &gt;</type>
      <name>covariance</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>abf9d077924c3c1c2d3d3793676cdbdd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::bitset&lt; SimpleShape::N_FLAGS &gt;</type>
      <name>flags</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result.html</anchorfile>
      <anchor>ae550747b5931c139de4b4f35ca219176</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::extensions::simpleShape::SimpleShapeResultKey</name>
    <filename>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</filename>
    <base>lsst::afw::table::FunctorKey&lt; SimpleShapeResult &gt;</base>
    <member kind="function">
      <type></type>
      <name>SimpleShapeResultKey</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a576cf9df6fc37a34303e8c3f55765430</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SimpleShapeResultKey</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a97507cc364b686ef954e4542eaecd796</anchor>
      <arglist>(lsst::afw::table::SubSchema const &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual SimpleShapeResult</type>
      <name>get</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a246236a8ff68a462f62f5b46923f7069</anchor>
      <arglist>(afw::table::BaseRecord const &amp;record) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>set</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a0b4a0b6c7a1a2d5af3515a966c5a445c</anchor>
      <arglist>(afw::table::BaseRecord &amp;record, SimpleShapeResult const &amp;value) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a818ee038d86264b81106e498bdbd3b20</anchor>
      <arglist>(SimpleShapeResultKey const &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a5753e51d109dc5aa5c0503f78dfe25cc</anchor>
      <arglist>(SimpleShapeResultKey const &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a599de31241d25d1d9c279245c2c36d9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>lsst::meas::base::FlagHandler const &amp;</type>
      <name>getFlagHandler</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>a989beea537048a080a095df25a3ec7d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static SimpleShapeResultKey</type>
      <name>addFields</name>
      <anchorfile>classlsst_1_1meas_1_1extensions_1_1simple_shape_1_1_simple_shape_result_key.html</anchorfile>
      <anchor>ad52272a52e72869264c3d31e7298e81e</anchor>
      <arglist>(afw::table::Schema &amp;schema, std::string const &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::extensions</name>
    <filename>namespacelsst_1_1meas_1_1extensions.html</filename>
    <namespace>lsst::meas::extensions::simpleShape</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::extensions::simpleShape</name>
    <filename>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</filename>
    <namespace>lsst::meas::extensions::simpleShape::version</namespace>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShape</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeControl</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeResult</class>
    <class kind="class">lsst::meas::extensions::simpleShape::SimpleShapeResultKey</class>
    <member kind="variable">
      <type></type>
      <name>SimpleShape</name>
      <anchorfile>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</anchorfile>
      <anchor>aefe4e7f3c31ab3d661491b219b60f088</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>name</name>
      <anchorfile>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</anchorfile>
      <anchor>a894a33bc2124b837086dd58054b549f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>Control</name>
      <anchorfile>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</anchorfile>
      <anchor>a8b89f29b36529e7a7de35ba31c1e0b00</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SimpleShapeControl</name>
      <anchorfile>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</anchorfile>
      <anchor>a8600afa3d1a4e7afb8eebb7c516dbab8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>executionOrder</name>
      <anchorfile>namespacelsst_1_1meas_1_1extensions_1_1simple_shape.html</anchorfile>
      <anchor>abd265f6779ea1a30724855f49c58578e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::extensions::simpleShape::version</name>
    <filename>namespacelsst_1_1meas_1_1extensions_1_1simple_shape_1_1version.html</filename>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
</tagfile>
